%ifarch %ix86
%define snxarch x86
%define md5sum cb35fa7752140f0487401cd2799e4a85
%endif

%ifarch x86_64
%define snxarch x86_64
%define md5sum 56316d6091379d372463de7b38de5cbf
%endif

%define version 71
%define rel 1

# FIXME
%define downurl http://support.checkpoint.com/downloads/snx/r%{version}/bin.linux26%{snxarch}/%{name}
%define downfile %{_localstatedir}/lib/%{name}/%{name}
# FIXME
%define EULAurl http://support.checkpoint.com/snx/contracts/subscriptionEULA.pdf
%define installdir %{_libdir}/%{name}

Summary:	Check Point SSL Network Extender (SNX)
Name:		snx
Version:	%{version}
Release:	%mkrel %{rel}
License:	Proprietary
URL:		https://supportcenter.checkpoint.com/supportcenter/portal?eventSubmit_doGoviewsolutiondetails=&solutionid=sk41808
Group:		Networking/Other
ExclusiveArch:	%ix86 x86_64
Requires(pre):	curl

%description
This packages contains the Check Point SSL Network Extender (SNX),
a VPN client.

NOTE: This package does not contain %{name} itself. The
software will be automatically downloaded during package
installation.

Installing this package indicates acceptance of the %{name} EULA,
available at %{EULAurl}.

%prep
%setup -c -T

%install
install -d -m755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m755 %{buildroot}%{_bindir}
touch %{buildroot}%{_bindir}/%{name}

%pre
get_proxy_from_urpmi() {
	if [ -e /etc/urpmi/proxy.cfg ]; then
		proxy="$(grep ^http_proxy= /etc/urpmi/proxy.cfg 2>/dev/null)"
		proxy_user="$(grep ^proxy_user= /etc/urpmi/proxy.cfg 2>/dev/null)"

		proxy="${proxy#http_proxy=}"
		proxy_user="${proxy_user#proxy_user=}"

		[ -n "$proxy" ] && echo "--proxy $proxy"
		[ -n "$proxy_user" ] && echo "--proxy-user $proxy_user"
	fi
}

echo "Note that by downloading %{name} you indicate your acceptance of the EULA,"
echo "available at %{EULAurl}"

echo "Downloading from %{downurl}"
install -d -m755 $(dirname %{downfile})
curl --connect-timeout 20 -m 10800 -L $(get_proxy_from_urpmi) "%{downurl}" > "%{downfile}"

if ! [ -f %{downfile} ]; then
   echo "Download failed"
   exit 1
fi

md5chk=$(md5sum %{downfile} | cut -d' ' -f1)
if ! [ "%{md5sum}" = "$md5chk" ]; then
   echo "Download checksum failed"
   rm -f %{downfile}
   exit 1
fi

%post
mv %{downfile} %{_bindir}/%{name}
chmod 755 %{_bindir}/%{name}

echo "%{name} installation successful."

%files
%dir   %{_localstatedir}/lib/%{name}
%ghost %{_bindir}/%{name}


%changelog

* Sun Apr 07 2013 blino <blino> 71-1.mga3
+ Revision: 409037
- initial snx release
- Created package structure for snx.

